TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
TIBCO.EMS.UFO.QueueReceiver Class Reference

A client uses a QueueReceiver object to receive messages that have been delivered to a queue. More...

Inheritance diagram for TIBCO.EMS.UFO.QueueReceiver:

## Properties
Queue | Queue`[get]`
| Gets the Queue associated with this queue receiver. More...
Properties inherited from TIBCO.EMS.UFO.MessageConsumer
string | MessageSelector`[get]`
| Gets this message consumer's message selector expression. More...
IMessageListener | MessageListener`[get, set]`
| Get and set the asynchronous message listener More...
EMSMessageHandler | MessageHandler
| The message event handler for asynchronous message consumption. More...

## Additional Inherited Members
Public Member Functions inherited from TIBCO.EMS.UFO.MessageConsumer
Message | Receive ()
| Receives the next message produced for this message consumer. More...
Message | Receive (long timeout)
| Receives the next message that arrives within the specified timeout interval. More...
Message | ReceiveNoWait ()
| Receives the next message if one is immediately available. More...
void | Close ()
| Closes the message consumer More...
override string | ToString ()
| return a string representation of the message consumer More...

## Detailed Description

A client uses a QueueReceiver object to receive messages that have been delivered to a queue.

This class inherits almost all of its behavior from MessageConsumer. It adds only a property, specializing the generic destination to a queue.

Although it is possible to have multiple QueueReceivers for the same queue, the behavior of how messages get distributed between the QueueReceivers is undefined.

If a QueueReceiver specifies a message selector, the messages that are not selected remain on the queue. By definition, a message selector allows a QueueReceiver to skip messages. This means that when the skipped messages are eventually read, the total ordering of the reads does not retain the partial order defined by each message producer. Only QueueReceivers without a message selector will read messages in message producer order.

Note: This class is provided for backward compatibility to support older EMS clients programs. New clients should use the MessageConsumer class instead.

## Property Documentation

Queue TIBCO.EMS.UFO.QueueReceiver.Queue
| get

Gets the Queue associated with this queue receiver.

The receiver consumes messages from this queue.

Programs set this queue when creating the receiver, and cannot subsequently change it.

Returns
  this receiver's Queue